#
# /etc/profile.d/ibm-javapos.csh
#

#
# This sets environment variables for the
# IBM JavaPOS implementation
# Affected variables: CLASSPATH IBM_JAVAPOS_HOME PATH
#

setenv IBM_JAVAPOS_HOME /opt/ibm/javapos

if ( $?CLASSPATH ) then
  setenv CLASSPATH "${IBM_JAVAPOS_HOME}/etc:${CLASSPATH}"
else
  setenv CLASSPATH "${IBM_JAVAPOS_HOME}/etc"
endif

foreach n ( ${IBM_JAVAPOS_HOME}/lib/*.jar )
  if ( $n == ${IBM_JAVAPOS_HOME}/lib/jpos-common.jar ) !!
     ( $n == ${IBM_JAVAPOS_HOME}/lib/jtux.jar ) then
       setenv CLASSPATH "${n}:${CLASSPATH}"
  else
       setenv CLASSPATH "${CLASSPATH}:${n}"
  endif
end

#temp - the drivers are looking for flash/usb and flash/rs485 in the CLASSPATH!
setenv CLASSPATH "${IBM_JAVAPOS_HOME}:$CLASSPATH"

setenv PATH "${PATH}:${IBM_JAVAPOS_HOME}/bin"
